﻿@model HealthCarePlanningModel
<div class="d-flex align-items-center flex-wrap mb-5">
    <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-5">Ok, now let's review your Healthcare planning information</h4>
</div>
<form asp-action="SavehealCarePlanning" class="form fv-plugins-bootstrap fv-plugins-framework" style="background-color:white" id="HealthCare_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <button id="btn-save-exit-hidden" class="d-none"></button>
    <div class="wizard-content-height">
        <div class="form-group d-flex m mb-2">
            <div class="align-self-center mr-2">
                <span class="switch switch-icon switch-sm switch-custom">
                    <label>
                        <input type="checkbox" asp-for="UnderESP">
                        <span></span>
                    </label>
                </span>
            </div>
            <label class="switch-label form-check-label align-self-center" asp-for="UnderESP">
                Are you covered under an employer sponsored healthcare plan?
            </label>
        </div>
        <div class="form-group d-flex m divunderME mb-2">
            <div class="align-self-center mr-2">
                <span class="switch switch-icon switch-sm switch-custom">
                    <label>
                        <input type="checkbox" asp-for="UnderME">
                        <span></span>
                    </label>
                </span>
            </div>
            <label class="switch-label form-check-label align-self-center" asp-for="UnderME">
                Are you covered under a marketplace exchange healthcare plan?
            </label>
        </div>
        <div class="form-group d-flex m divunderESP mb-2">
            <div class="align-self-center mr-2">
                <span class="switch switch-icon switch-sm switch-custom">
                    <label>
                        <input type="checkbox" asp-for="Uninsured">
                        <span></span>
                    </label>
                </span>
            </div>
            <label class="switch-label form-check-label align-self-center" asp-for="Uninsured">
                Are you currently uninsured for healthcare coverage?
            </label>
        </div>
        <div class="form-group d-flex m mb-2">
            <div class="align-self-center mr-2">
                <span class="switch switch-icon switch-sm switch-custom">
                    <label>
                        <input type="checkbox" asp-for="LongTermCare">
                        <span></span>
                    </label>
                </span>
            </div>
            <label class="switch-label form-check-label align-self-center" asp-for="LongTermCare">
                Do you have a Long-term Care Insurance Policy?
            </label>
        </div>
        <div class="divListpolicyProvide">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">What does your LTC plan pay at a daily rate for coverage?</label>
                <div class="w-100px w-xl-200px">
                    <input class="form-control form-control-sm currency" asp-for="LongTermCareRate" type="text" />
                </div>
            </div>
            <label class="col-form-label font-radio-title font-weight-bold">Does your policy provide for care at? (mark all that apply)</label>
            <div class="form-group mb-0">
                <div class="checkbox-list">
                    @for (int i = 0; i < Model.ListpolicyProvide.Count(); i++)
                    {
                        <input type="hidden" asp-for="@Model.ListpolicyProvide[i].Value" />
                        <input type="hidden" asp-for="@Model.ListpolicyProvide[i].Text" />
                        <label class="checkbox checkbox-outline checkbox-primary">
                            <input asp-for="@Model.ListpolicyProvide[i].Selected" />
                            <span></span>
                            @Model.ListpolicyProvide[i].Text
                        </label>
                    }
                </div>
            </div>
        </div>
        <div class="divListpolicyPayingBenifits">
            <label class="col-form-label font-radio-title font-weight-bold">Under what conditions will the policy begin paying benefits? (Mark all that apply)</label>
            <div class="form-group mb-3">
                <div class="checkbox-list">
                    @for (int i = 0; i < Model.ListpolicyPayingBenifits.Count(); i++)
                    {
                        <input type="hidden" asp-for="@Model.ListpolicyPayingBenifits[i].Value" />
                        <input type="hidden" asp-for="@Model.ListpolicyPayingBenifits[i].Text" />
                        <label class="checkbox checkbox-outline checkbox-primary">
                            <input asp-for="@Model.ListpolicyPayingBenifits[i].Selected" />
                            <span></span>
                            @Model.ListpolicyPayingBenifits[i].Text
                        </label>
                    }
                </div>
            </div>
        </div>
        <div class="divWaitingperiod">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">Does your LTCI policy have a "waiting period" or "elimination period"?</label>
                <div class="w-100px w-xl-200px">
                    <select class="form-control form-control-sm required" asp-for="WaitingPeriodYesNOEnum" asp-items="EnumHelper.GetEnumSelectList<YesNoEnum>()" name="waitingPeriodYesNOEnum">
                    </select>
                </div>
            </div>
        </div>
        <div class="d-none divwaitingPeriodEnum">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">How long is the waiting period or elimination period?</label>
                <div class="w-100px w-xl-200px">
                    <select class="form-control form-control-sm required" asp-for="WaitingPeriodEnum" asp-items="EnumHelper.GetEnumSelectList<WaitingPeriodEnum>()" name="waitingPeriodEnum">
                    </select>
                </div>
            </div>
        </div>
        <div class="divLTCIBenifitsEnumYesNO">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">Do you know how long your LTCI benefits last?</label>
                <div class="w-100px w-xl-200px">
                    <select class="form-control form-control-sm required" asp-for="LTCIBenifitsEnumYesNO" asp-items="EnumHelper.GetEnumSelectList<YesNoEnum>()" name="LTCIBenifitsEnumYesNO">
                    </select>
                </div>
            </div>
        </div>
        <div class="d-none divLTCIbenifitsEnum">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">How long do your LTCI benefits last?</label>
                <div class="w-100px w-xl-200px">
                    <select class="form-control form-control-sm required" asp-for="LTCIbenifitsEnum" asp-items="EnumHelper.GetEnumSelectList<LTCIbenifitsEnum>()" name="LTCIbenifitsEnum">
                    </select>
                </div>
            </div>
        </div>
        <div class="divlTCIbenifirPayouttEnum">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">Does your LTCI benefits payout on an (Mark the appropriate option)</label>
                <div class="w-200px">
                    <select class="form-control form-control-sm required" asp-for="LTCIbenifirPayouttEnum" asp-items="EnumHelper.GetEnumSelectList<LTCIbenifirPayouttEnum>()" name="lTCIbenifirPayouttEnum">
                    </select>
                </div>
            </div>
        </div>
        <div class="divWinflationProtectionEnum">
            <div class="d-xl-flex form-group mb-2">
                <label class="w-xl-505px form-label">Does your LTCI policy provide Inflation protection?</label>
                <div class="w-100px w-xl-200px">
                    <select class="form-control form-control-sm required" asp-for="InflationProtectionEnum" asp-items="EnumHelper.GetEnumSelectList<YesNoEnum>()" name="inflationProtectionEnum">
                    </select>
                </div>
            </div>
        </div>
        <div class="mt-2 d divinflationprovision">
            <div class="d-xl-flex form-group mb-0">
                <label class="w-xl-505px form-label">What is the inflation provision in your policy?</label>
                <div class="w-100px w-xl-200px">
                    <input asp-for="Inflationprovision" class="form-control form-control-sm al percentage required">
                </div>
                <span asp-validation-for="Inflationprovision" class="text-danger"></span>
            </div>
        </div>
        <div class="divListLTCIPolicy">
            <label class="col-form-label font-radio-title font-weight-bold">Does your LTCI policy provide any of the following benefits?</label>
            <div class="form-group mb-3">
                <div class="checkbox-list">
                    @for (int i = 0; i < Model.ListLTCIPolicyProvideBenifitsEnum.Count(); i++)
                    {
                        <input type="hidden" asp-for="@Model.ListLTCIPolicyProvideBenifitsEnum[i].Value" />
                        <input type="hidden" asp-for="@Model.ListLTCIPolicyProvideBenifitsEnum[i].Text" />
                        <label class="checkbox checkbox-outline checkbox-primary">
                            <input asp-for="@Model.ListLTCIPolicyProvideBenifitsEnum[i].Selected" />
                            <span></span>
                            @Model.ListLTCIPolicyProvideBenifitsEnum[i].Text
                        </label>
                    }
                </div>
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<script type="text/javascript">
    $("#HealthCare_form").validate({
        errorPlacement: function () { },
        invalidHandler: function () {
            _showFormMessage("HealthCare_form", "danger", "Provide information in all required fields.", "fas fa-exclamation-triangle");
        }
    });
    var longTermsChecked = $("#LongTermCare").val();
    $("#LongTermCare").change(function () {
        var IsChecked = this.checked;
        showHideLongTerms(IsChecked)
    });
    var longTermsChecked = $("#LongTermCare").is(":checked")
    var showHideESP = function (UspIsChecked) {
        if (UspIsChecked) {
            $(".divunderME").addClass("d-none").removeClass("d-flex");
            $(".divunderESP").addClass("d-none").removeClass("d-flex");
        }
        else {
            $(".divunderME").removeClass("d-none").addClass("d-flex");
            $(".divunderESP").removeClass("d-none").addClass("d-flex");
        }
    }
    var UspIsChecked = $('#UnderESP').is(":checked");
    showHideESP(UspIsChecked);
    $("#UnderESP").change(function () {
        var IsChecked = this.checked;
        showHideESP(IsChecked)
    });
    var waitingPeriodId = $("#WaitingPeriodYesNOEnum").val();
    var showHideWaitingPeriod = function (waitingPeriodId) {
        if (waitingPeriodId == YesNoEnum.Yes)
            $(".divwaitingPeriodEnum").removeClass("d-none");
        else
            $(".divwaitingPeriodEnum").addClass("d-none");
    }
    $("#WaitingPeriodYesNOEnum").change(function () {
        var Id = $(this).val();
        showHideWaitingPeriod(Id)
    });
    showHideWaitingPeriod(waitingPeriodId);
    var LTCCHeId = $("#LTCIBenifitsEnumYesNO").val();
    var showhideLTC = function (LTCCHeId) {
        if (LTCCHeId == YesNoEnum.Yes)
            $(".divLTCIbenifitsEnum").removeClass("d-none");
        else
            $(".divLTCIbenifitsEnum").addClass("d-none");
    }
    $("#LTCIBenifitsEnumYesNO").change(function () {
        var id = $(this).val();
        showhideLTC(id);
    });
    showhideLTC(LTCCHeId);
    var inflationProtectionId = $("#InflationProtectionEnum").val();
    var showhideinflationProtection = function (inflationProtectionId) {
        if (inflationProtectionId == 1)
            $(".divinflationprovision").removeClass("d-none");
        else
        {
            $("#Inflationprovision").val("0");
            $(".divinflationprovision").addClass("d-none");
        }            
    }
    $("#InflationProtectionEnum").change(function () {
        var id = $(this).val();
        showhideinflationProtection(id);
    });
    showhideinflationProtection(inflationProtectionId)
    var showHideLongTerms = function (longTermsChecked) {
        if (longTermsChecked) {
            $(".divListpolicyProvide").removeClass("d-none");
            $(".divListpolicyPayingBenifits").removeClass("d-none");
            $(".divWaitingperiod").removeClass("d-none");
            $(".divLTCIBenifitsEnumYesNO").removeClass("d-none");
            $(".divlTCIbenifirPayouttEnum").removeClass("d-none");
            $(".divWinflationProtectionEnum").removeClass("d-none");
            $(".divListLTCIPolicy").removeClass("d-none");
            $(".divwaitingPeriodEnum").removeClass("d-none");
            $(".divLTCIbenifitsEnum").removeClass("d-none");
            $(".divinflationprovision").removeClass("d-none");
            var waitingPeriodId = $("#WaitingPeriodYesNOEnum").val();
            showHideWaitingPeriod(waitingPeriodId);
            var LTCCHeId = $("#LTCIBenifitsEnumYesNO").val();
            showhideLTC(LTCCHeId);
            var inflationProtectionId = $("#InflationProtectionEnum").val();
            showhideinflationProtection(inflationProtectionId)
        }
        else {
            $(".divListpolicyProvide").addClass("d-none");
            $(".divListpolicyPayingBenifits").addClass("d-none");
            $(".divWaitingperiod").addClass("d-none");
            $(".divLTCIBenifitsEnumYesNO").addClass("d-none");
            $(".divlTCIbenifirPayouttEnum").addClass("d-none");
            $(".divWinflationProtectionEnum").addClass("d-none");
            $(".divListLTCIPolicy").addClass("d-none");
            $(".divwaitingPeriodEnum").addClass("d-none");
            $(".divLTCIbenifitsEnum").addClass("d-none");
            $(".divinflationprovision").addClass("d-none");
        }
    }
    showHideLongTerms(longTermsChecked);
</script>
